#!/bin/sh

#########################################################
# IBM Director Install
#
# This script file is set to run in the same directory
# as the rpms themselves. The user can modify the script
# to work in their particular environment. 
#
# Order of installation is relevant as the DirAgent
# and lincimom rpms have dependencies on the 
# ITDAgent rpm
#
#########################################################

# There are not any Linux updates for the Director portion

#########################################################
# xSeries Extensions
#
# User can commemt out whichever xSeries Extension
# tool rpm that is not wanted by adding a "#" 
# (minus the quotes) as the first character of 
# the unwanted tool's rpm command line.
#
#########################################################

# ITD Agent
rpm -Uvh ITDAgent-3.11-1.i386.rpm 

# Advanced System Management
rpm -e asmlxag-3.0
rpm -ivh asmlxag-3.1.1-0.i386.rpm
sleep 10

# ServeRAID Management
rpm -Uvh RAIDLxAg.rpm
sleep 10
        
# System Availability
rpm -Uvh SysAvailAgent-3.11-1.i386.rpm
sleep 10

#####################################################
#                Restart Director                  #
###################################################

# TWGAGENT_BIN=$RPM_INSTALL_PREFIX/bin
ITDIR=/opt/tivoliwg
TWGAGENT_BIN=$ITDIR/bin

# Start the Director Agent
echo "Starting Director Agent"
$TWGAGENT_BIN/twgstart;


